# Track reconstruction from database export
## Prerequisities
* System which runs CERN Root (Tested on MacOS High Sierra 10.13.4)
* CERN Root (Tested on 6.13/03)

## Build and run
* Clone this repository

```
git clone https://git.divaldo.hu/divaldo/DB_Track.git
```
* Create a working directory or use the Debug folder which already contains a data file
* If you decided to use another folder, then copy the data.txt to it
* You can use make -jN to use N number of CPU cores to build the app

```
cd DB_Track/Debug
cmake ../
make
```
* If complete, you can run it with the following command:

```
./DB_Track
```
* Use Ctrl + C to exit

## If you have newer data
* Export format is CSV
* Columns separated with space (" ")
* Columns enclosed with nothing
* Columns escaped with nothing
* The query order: ch_id, time_sec, time_ns, peak_amp
* Ascending by time_sec and time_ns

Use this query:
```
SELECT ch_id, time_sec, time_ns, peak_amp FROM adatok.fb55 ORDER BY time_sec ASC, time_ns ASC INTO OUTFILE '/tmp/fb55_exp.csv' FIELDS TERMINATED BY ' ' ENCLOSED BY '' LINES TERMINATED BY '\n';
```